#!/usr/bin/perl -wT
package Mithraen::Sangoma::Fileutils;
use Exporter;

@ISA    = qw(Exporter);
@EXPORT = qw(
  &file_cleanpath
  &file_write
  &file_read_hash
  &file_read_arr
);

use strict;

sub file_cleanpath($) {
    my $fn = shift;
    return unless defined $fn;
    my $fn2;
    $fn =~ /^([\d\w\-\/\.]+)$/;
    die unless $fn eq $1;
    return $1;
}

sub file_write($$) {
    my $fn   = file_cleanpath(shift);
    my $data = shift;
    my $tmp;
    open( $tmp, "> $fn" ) || die;
    print $tmp $data;
    close($tmp);
}

sub file_read_hash($) {
    my $fn = file_cleanpath(shift);
    my %data;
    my $fh;
    open( $fh, "< $fn" ) || die;
    while (<$fh>) {
        s/\#.*//;
        s/\s+$//;
        next unless /^(.+?)\=(.*)$/;
        $data{$1} = $2;
    }
    close($fh);
    return \%data;
}

sub file_read_arr($) {
    my $fn = file_cleanpath(shift);
    my @data;
    my $fh;
    open( $fh, "< $fn" ) || die;
    while (<$fh>) {
        push @data, $_;
    }
    close($fh);
    return \@data;
}

